package com.example.beijing_daxing.been;

/**
 * @author wanghao
 * @date 2023/3/14  10:04
 */
public class HomeIcon {
    private int viewId;
    private String name;
    private Class activityClass;

    public HomeIcon() {
    }

    public HomeIcon(int viewId, String name, Class activityClass) {
        this.viewId = viewId;
        this.name = name;
        this.activityClass = activityClass;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        HomeIcon homeIcon = (HomeIcon) o;

        return name != null ? name.equals(homeIcon.name) : homeIcon.name == null;
    }

    @Override
    public int hashCode() {
        return name != null ? name.hashCode() : 0;
    }

    public int getViewId() {
        return viewId;
    }

    public void setViewId(int viewId) {
        this.viewId = viewId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Class getActivityClass() {
        return activityClass;
    }

    public void setActivityClass(Class activityClass) {
        this.activityClass = activityClass;
    }


}
